diff -ur a/nwg_shell/installer.py b/nwg_shell/installer.py
--- a/nwg_shell/installer.py	2024-11-18 18:12:12.000000000 -0500
+++ b/nwg_shell/installer.py	2024-11-19 02:46:26.959294088 -0500
@@ -173,7 +173,7 @@
         print("    This script installs/overwrites configs and style sheets       ")
         print("          for sway, Hyprland and nwg-shell components.             ")
         print("      The only backup that will be made are main config files.     ")
-        print("   This script should be used on a fresh Arch Linux installation.  ")
+        print("   This script should be used on a fresh Slackware installation.   ")
         print("            If you're running it on your existing setup,           ")
         print("                 you're doing it at your own risk.                 ")
         print("*******************************************************************")
@@ -262,7 +262,7 @@
                         break
 
             if "editor" not in s or not s["editor"]:
-                for cmd in ["mousepad", "atom", "emacs", "gedit", "geany", "kate", "vim"]:
+                for cmd in ["mousepad", "atom", "emacs", "gedit", "geany", "joe", "kate", "vim"]:
                     if is_command(cmd):
                         s["editor"] = cmd
                         break
@@ -314,8 +314,8 @@
             else:
                 print("Your computer will now restart...")
                 time.sleep(3)
-                if is_command("systemctl"):
-                    subprocess.call("sudo systemctl reboot -f", shell=True, stdout=subprocess.DEVNULL, stderr=subprocess.STDOUT)
+                if is_command("loginctl"):
+                    subprocess.call("sudo loginctl reboot -f", shell=True, stdout=subprocess.DEVNULL, stderr=subprocess.STDOUT)
                 else:
                     subprocess.call("sudo reboot", shell=True, stdout=subprocess.DEVNULL, stderr=subprocess.STDOUT)
 
diff -ur a/nwg_shell/skel/config/foot/foot.ini b/nwg_shell/skel/config/foot/foot.ini
--- a/nwg_shell/skel/config/foot/foot.ini	2024-11-18 18:12:12.000000000 -0500
+++ b/nwg_shell/skel/config/foot/foot.ini	2024-11-19 02:48:10.603650315 -0500
@@ -2,7 +2,7 @@
 
 # shell=$SHELL (if set, otherwise user's default shell from /etc/passwd)
 # term=foot (or xterm-256color if built with -Dterminfo=disabled)
-# login-shell=no
+login-shell=yes
 
 # app-id=foot
 # title=foot
diff -ur a/nwg_shell/skel/config/hypr/hyprland.conf b/nwg_shell/skel/config/hypr/hyprland.conf
--- a/nwg_shell/skel/config/hypr/hyprland.conf	2024-11-18 18:12:12.000000000 -0500
+++ b/nwg_shell/skel/config/hypr/hyprland.conf	2024-11-19 02:55:43.024828972 -0500
@@ -15,10 +15,9 @@
 # Autostart. Feel free to add your own entries.
 # Shell components will be started in the includes.conf file, which we include below.
 #
-exec = /usr/lib/polkit-gnome/polkit-gnome-authentication-agent-1
+exec = /usr/libexec/polkit-gnome-authentication-agent-1
 exec-once = ~/.azotebg-hyprland # Wallpaper
-exec-once = systemctl --user import-environment WAYLAND_DISPLAY XDG_CURRENT_DESKTOP
-exec-once = dbus-update-activation-environment --systemd WAYLAND_DISPLAY XDG_CURRENT_DESKTOP
+exec-once = dbus-update-activation-environment --all WAYLAND_DISPLAY XDG_CURRENT_DESKTOP
 
 #
 # Include settings generated by nwg-shell-config
diff -ur a/nwg_shell/skel/config/nwg-panel/hyprland-0 b/nwg_shell/skel/config/nwg-panel/hyprland-0
--- a/nwg_shell/skel/config/nwg-panel/hyprland-0	2024-11-18 18:12:12.000000000 -0500
+++ b/nwg_shell/skel/config/nwg-panel/hyprland-0	2024-11-19 03:01:48.864312339 -0500
@@ -85,11 +85,11 @@
           },
           {
             "name": "Restart",
-            "cmd": "nwg-dialog -p reboot -c \"systemctl reboot\""
+            "cmd": "nwg-dialog -p reboot -c \"loginctl reboot\""
           },
           {
             "name": "Shutdown",
-            "cmd": "nwg-dialog -p poweroff -c \"systemctl -i poweroff\""
+            "cmd": "nwg-dialog -p poweroff -c \"loginctl -i poweroff\""
           }
         ]
       },
diff -ur a/nwg_shell/skel/config/nwg-panel/hyprland-1 b/nwg_shell/skel/config/nwg-panel/hyprland-1
--- a/nwg_shell/skel/config/nwg-panel/hyprland-1	2024-11-18 18:12:12.000000000 -0500
+++ b/nwg_shell/skel/config/nwg-panel/hyprland-1	2024-11-19 03:02:22.167799792 -0500
@@ -86,11 +86,11 @@
           },
           {
             "name": "Restart",
-            "cmd": "nwg-dialog -p reboot -c \"systemctl reboot\""
+            "cmd": "nwg-dialog -p reboot -c \"loginctl reboot\""
           },
           {
             "name": "Shutdown",
-            "cmd": "nwg-dialog -p poweroff -c \"systemctl -i poweroff\""
+            "cmd": "nwg-dialog -p poweroff -c \"loginctl -i poweroff\""
           }
         ]
       },
diff -ur a/nwg_shell/skel/config/nwg-panel/hyprland-2 b/nwg_shell/skel/config/nwg-panel/hyprland-2
--- a/nwg_shell/skel/config/nwg-panel/hyprland-2	2024-11-18 18:12:12.000000000 -0500
+++ b/nwg_shell/skel/config/nwg-panel/hyprland-2	2024-11-19 03:02:34.038616783 -0500
@@ -83,11 +83,11 @@
           },
           {
             "name": "Restart",
-            "cmd": "nwg-dialog -p reboot -c \"systemctl reboot\""
+            "cmd": "nwg-dialog -p reboot -c \"loginctl reboot\""
           },
           {
             "name": "Shutdown",
-            "cmd": "nwg-dialog -p poweroff -c \"systemctl -i poweroff\""
+            "cmd": "nwg-dialog -p poweroff -c \"loginctl -i poweroff\""
           }
         ]
       },
@@ -142,8 +142,8 @@
     "menu-start-settings": {
       "cmd-lock": "swaylock -f -c 000000",
       "cmd-logout": "swaymsg exit",
-      "cmd-restart": "systemctl reboot",
-      "cmd-shutdown": "systemctl -i poweroff",
+      "cmd-restart": "loginctl reboot",
+      "cmd-shutdown": "loginctl -i poweroff",
       "autohide": true,
       "file-manager": "thunar",
       "height": 0,
diff -ur a/nwg_shell/skel/config/nwg-panel/hyprland-3 b/nwg_shell/skel/config/nwg-panel/hyprland-3
--- a/nwg_shell/skel/config/nwg-panel/hyprland-3	2024-11-18 18:12:12.000000000 -0500
+++ b/nwg_shell/skel/config/nwg-panel/hyprland-3	2024-11-19 03:02:42.375488159 -0500
@@ -82,11 +82,11 @@
           },
           {
             "name": "Restart",
-            "cmd": "nwg-dialog -p reboot -c \"systemctl reboot\""
+            "cmd": "nwg-dialog -p reboot -c \"loginctl reboot\""
           },
           {
             "name": "Shutdown",
-            "cmd": "nwg-dialog -p poweroff -c \"systemctl -i poweroff\""
+            "cmd": "nwg-dialog -p poweroff -c \"loginctl -i poweroff\""
           }
         ]
       },
diff -ur a/nwg_shell/skel/config/nwg-panel/preset-0 b/nwg_shell/skel/config/nwg-panel/preset-0
--- a/nwg_shell/skel/config/nwg-panel/preset-0	2024-11-18 18:12:12.000000000 -0500
+++ b/nwg_shell/skel/config/nwg-panel/preset-0	2024-11-19 03:02:53.846311061 -0500
@@ -86,11 +86,11 @@
           },
           {
             "name": "Restart",
-            "cmd": "nwg-dialog -p reboot -c \"systemctl reboot\""
+            "cmd": "nwg-dialog -p reboot -c \"loginctl reboot\""
           },
           {
             "name": "Shutdown",
-            "cmd": "nwg-dialog -p poweroff -c \"systemctl -i poweroff\""
+            "cmd": "nwg-dialog -p poweroff -c \"loginctl -i poweroff\""
           }
         ]
       },
diff -ur a/nwg_shell/skel/config/nwg-panel/preset-1 b/nwg_shell/skel/config/nwg-panel/preset-1
--- a/nwg_shell/skel/config/nwg-panel/preset-1	2024-11-18 18:12:12.000000000 -0500
+++ b/nwg_shell/skel/config/nwg-panel/preset-1	2024-11-19 03:03:02.022184745 -0500
@@ -87,11 +87,11 @@
           },
           {
             "name": "Restart",
-            "cmd": "nwg-dialog -p reboot -c \"systemctl reboot\""
+            "cmd": "nwg-dialog -p reboot -c \"loginctl reboot\""
           },
           {
             "name": "Shutdown",
-            "cmd": "nwg-dialog -p poweroff -c \"systemctl -i poweroff\""
+            "cmd": "nwg-dialog -p poweroff -c \"loginctl -i poweroff\""
           }
         ]
       },
diff -ur a/nwg_shell/skel/config/nwg-panel/preset-2 b/nwg_shell/skel/config/nwg-panel/preset-2
--- a/nwg_shell/skel/config/nwg-panel/preset-2	2024-11-18 18:12:12.000000000 -0500
+++ b/nwg_shell/skel/config/nwg-panel/preset-2	2024-11-19 03:03:12.607021108 -0500
@@ -99,11 +99,11 @@
           },
           {
             "name": "Restart",
-            "cmd": "nwg-dialog -p reboot -c \"systemctl reboot\""
+            "cmd": "nwg-dialog -p reboot -c \"loginctl reboot\""
           },
           {
             "name": "Shutdown",
-            "cmd": "nwg-dialog -p poweroff -c \"systemctl -i poweroff\""
+            "cmd": "nwg-dialog -p poweroff -c \"loginctl -i poweroff\""
           }
         ]
       },
@@ -148,8 +148,8 @@
     "menu-start-settings": {
       "cmd-lock": "swaylock -f -c 000000",
       "cmd-logout": "swaymsg exit",
-      "cmd-restart": "systemctl reboot",
-      "cmd-shutdown": "systemctl -i poweroff",
+      "cmd-restart": "loginctl reboot",
+      "cmd-shutdown": "loginctl -i poweroff",
       "autohide": true,
       "file-manager": "thunar",
       "height": 0,
diff -ur a/nwg_shell/skel/config/nwg-panel/preset-3 b/nwg_shell/skel/config/nwg-panel/preset-3
--- a/nwg_shell/skel/config/nwg-panel/preset-3	2024-11-18 18:12:12.000000000 -0500
+++ b/nwg_shell/skel/config/nwg-panel/preset-3	2024-11-19 03:03:24.312839999 -0500
@@ -83,11 +83,11 @@
           },
           {
             "name": "Restart",
-            "cmd": "nwg-dialog -p reboot -c \"systemctl reboot\""
+            "cmd": "nwg-dialog -p reboot -c \"loginctl reboot\""
           },
           {
             "name": "Shutdown",
-            "cmd": "nwg-dialog -p poweroff -c \"systemctl -i poweroff\""
+            "cmd": "nwg-dialog -p poweroff -c \"loginctl -i poweroff\""
           }
         ]
       },
diff -ur a/nwg_shell/skel/config/sway/autostart b/nwg_shell/skel/config/sway/autostart
--- a/nwg_shell/skel/config/sway/autostart	2024-11-18 18:12:12.000000000 -0500
+++ b/nwg_shell/skel/config/sway/autostart	2024-11-19 03:05:11.403177026 -0500
@@ -8,6 +8,5 @@
 exec_always nwg-panel -c preset-0 -s preset-0.css
 exec_always nwg-shell-check-updates
 exec nwg-look -a
-exec nwg-update-indicator
 exec_always nwg-screenshot-applet
 exec_always nwg-shell-config -s
diff -ur a/nwg_shell/skel/config/sway/config b/nwg_shell/skel/config/sway/config
--- a/nwg_shell/skel/config/sway/config	2024-11-18 18:12:12.000000000 -0500
+++ b/nwg_shell/skel/config/sway/config	2024-11-19 03:06:11.441240408 -0500
@@ -36,10 +36,9 @@
 
 ###############     Autostart      ##################
 
-exec systemctl --user import-environment DISPLAY WAYLAND_DISPLAY SWAYSOCK
 exec hash dbus-update-activation-environment 2>/dev/null && \
-    dbus-update-activation-environment --systemd DISPLAY WAYLAND_DISPLAY SWAYSOCK
-exec /usr/lib/polkit-gnome/polkit-gnome-authentication-agent-1
+    dbus-update-activation-environment --all DISPLAY WAYLAND_DISPLAY SWAYSOCK
+exec /usr/libexec/polkit-gnome-authentication-agent-1
 exec ~/.azotebg
 
 ### Turn off screen on lid closed
diff -ur a/nwg_shell/skel/data/nwg-shell-config/settings b/nwg_shell/skel/data/nwg-shell-config/settings
--- a/nwg_shell/skel/data/nwg-shell-config/settings	2024-11-18 18:12:12.000000000 -0500
+++ b/nwg_shell/skel/data/nwg-shell-config/settings	2024-11-19 03:08:21.127208541 -0500
@@ -18,9 +18,9 @@
   "browser": "",
   "pb-exit": "nwg-dialog -p exit-sway -c \"swaymsg exit\"",
   "pb-lock": "nwg-lock",
-  "pb-poweroff": "nwg-dialog -p poweroff -c \"systemctl -i poweroff\"",
-  "pb-reboot": "nwg-dialog -p reboot -c \"systemctl reboot\"",
-  "pb-sleep": "nwg-dialog -p sleep -c \"systemctl suspend\"",
+  "pb-poweroff": "nwg-dialog -p poweroff -c \"loginctl -i poweroff\"",
+  "pb-reboot": "nwg-dialog -p reboot -c \"loginctl reboot\"",
+  "pb-sleep": "nwg-dialog -p sleep -c \"loginctl suspend\"",
   "panel-preset": "preset-0",
   "panel-custom": "",
   "show-on-startup": false,
@@ -90,13 +90,13 @@
   "gtklock-logout-command": "swaymsg exit",
   "gtklock-playerctl": false,
   "gtklock-powerbar": false,
-  "gtklock-poweroff-command": "systemctl -i poweroff",
-  "gtklock-reboot-command": "systemctl reboot",
-  "gtklock-suspend-command": "systemctl suspend",
+  "gtklock-poweroff-command": "loginctl -i poweroff",
+  "gtklock-reboot-command": "loginctl reboot",
+  "gtklock-suspend-command": "loginctl suspend",
   "gtklock-time-format": "%H:%M:%S",
   "gtklock-userinfo": false,
   "gtklock-userswitch-command": "",
-  "update-indicator-on": true,
+  "update-indicator-on": false,
   "update-indicator-interval": 30,
-  "update-command": "nwg-system-update"
+  "update-command": ""
 }
\ No newline at end of file
diff -ur a/nwg_shell/skel/data/nwg-shell-config/settings-hyprland b/nwg_shell/skel/data/nwg-shell-config/settings-hyprland
--- a/nwg_shell/skel/data/nwg-shell-config/settings-hyprland	2024-11-18 18:12:12.000000000 -0500
+++ b/nwg_shell/skel/data/nwg-shell-config/settings-hyprland	2024-11-19 03:08:48.893772162 -0500
@@ -16,9 +16,9 @@
   "show-on-startup": false,
   "pb-exit": "nwg-dialog -p exit-hyprland -c \"hyprctl dispatch exit\"",
   "pb-lock": "nwg-lock",
-  "pb-poweroff": "nwg-dialog -p poweroff -c \"systemctl -i poweroff\"",
-  "pb-reboot": "nwg-dialog -p reboot -c \"systemctl reboot\"",
-  "pb-sleep": "nwg-dialog -p sleep -c \"systemctl suspend\"",
+  "pb-poweroff": "nwg-dialog -p poweroff -c \"loginctl -i poweroff\"",
+  "pb-reboot": "nwg-dialog -p reboot -c \"loginctl reboot\"",
+  "pb-sleep": "nwg-dialog -p sleep -c \"loginctl suspend\"",
   "gen-use-settings": true,
   "gen-border_size": 1,
   "gen-no_border_on_floating": false,
@@ -100,7 +100,7 @@
   "lockscreen-custom-cmd": "",
   "lockscreen-timeout": 1200,
   "screenshot": true,
-  "sleep-cmd": "systemctl suspend",
+  "sleep-cmd": "loginctl suspend",
   "sleep-timeout": 1800,
   "resume-cmd": "",
   "before-sleep": "",
@@ -125,13 +125,13 @@
   "gtklock-logout-command": "swaymsg exit",
   "gtklock-playerctl": false,
   "gtklock-powerbar": false,
-  "gtklock-poweroff-command": "systemctl -i poweroff",
-  "gtklock-reboot-command": "systemctl reboot",
-  "gtklock-suspend-command": "systemctl suspend",
+  "gtklock-poweroff-command": "loginctl -i poweroff",
+  "gtklock-reboot-command": "loginctl reboot",
+  "gtklock-suspend-command": "loginctl suspend",
   "gtklock-time-format": "%H:%M:%S",
   "gtklock-userinfo": false,
   "gtklock-userswitch-command": "",
-  "update-indicator-on": true,
+  "update-indicator-on": false,
   "update-indicator-interval": 30,
-  "update-command": "nwg-system-update"
+  "update-command": ""
 }
\ No newline at end of file
